PostgreSQL Tcl Interface Documentation
Prev | Fast Backward |  | Fast Forward | Next

# pg_sendquery_prepared

## Name

pg_sendquery_prepared -- send a request to execute a prepared statement to the backend connection, without waiting for a result

## Synopsis

    pg_sendquery_prepared conn statementName ?args?

## Description

`pg_sendquery_prepared` submits a command to the PostgreSQL server. This function works like `pg_exec`, except that it does not return a result. Rather, the command is issued to the backend asynchronously.

The result is either an error message or nothing. An empty return indicates that the command was dispatched to the backend.

## Arguments

`conn`

  The handle of the connection on which to execute the command.

`statementName`

  The name of the prepared SQL statement to execute asynchronously.

`args`

  `args` consists of zero or more optional values that can be inserted, unquoted, into the SQL statement using $-style substitution.

## Return Value

A Tcl error will be returned if pgtcl was unable to issue the command. Otherwise, an empty string will be return. It is up to the developer to use `pg_getresult` to obtain results from commands issued with `pg_sendquery`.

Prev | Home | Next
pg_sendquery | Up | pg_getresult